# Jykell configuration
markdown: redcarpet
highlighter: pygments
paginate: 5
language: 'en-uk'

# Website info
name: 'Test Blog on GitLab'
description: "A beautiful narrative written with the world's most elegant publishing platform. Set by Virtua Creative for GitLab Pages."

# Author's info
author: 'Ouch Liu'
# edit 'categories' in the front matter of every post to match this username
nickname: Ouch
bio: 'A paranormal expert and his daughter bunk in an abandoned house populated by 3 mischievous ghosts and one friendly one.'
location: 'Maine, USA'
url: 'https://jekyll-themes.gitlab.io'
image: 'assets/images/casper.png'

short_url: 'github.com/biomadeira/jasper'
# google_analytics: UA-69281367-1
disqus: virtua-jekyll-on-gitlab
# edit baseurl to simply '/' if using as your personal page (instead of a project page)
baseurl: /blog/

# Permalinks
permalink: /:title/
# permalink: /author/:username
# permalink: /tag/:tag


# gems and other configs
gems: [jekyll-paginate, jekyll-mentions]
jekyll-mentions: https://gitlab.com/u/

# Additional settings available on the front-matter
# Site logo in the index.html (as in demo.ghost.io)
# Author's page cover in _layouts/author.html
# The same for page.html and tag.html layouts
# Post's page cover as a per-post basis _posts/...
# Disqus comments as a per-post basis
# ...


# Settings for builing master branch with travis-ci
# with jekyll-travis

# Settings for deploy rake task
# Username and repo of Github repo, e.g.
# https://github.com/USERNAME/REPO.git
# username defaults to ENV['GIT_NAME'] used by Travis
# repo defaults to USERNAME.github.io
# Branch defaults to "source" for USERNAME.github.io
# or "master" otherwise
safe: false
lsi: false
#username: biomadeira
#repo: jasper
#branch: master
#relative_source: ../jasper/
#destination: ../jasper-pages/
#production_url:  https://biomadeira.github.io/jasper/
#source_url:      https://github.com/biomadeira/jasper/

exclude:
  - README.md
  - Rakefile
  - Gemfile
  - Gemfile.lock
  - changelog.md
  - "*.Rmd"
  - vendor
  - .travis.yml
  - /github
